//U1403A JOB 0533-01T,'',NOTIFY=U1403,                                  JOB01302
// SCHENV=SCTB,
//         CLASS=A,MSGCLASS=Y TYPRUN=SCAN
//*NWCBLKIP JOB (XX-1IMI-ABCD),'CC AND LINK',
//*           MSGCLASS=X,MSGLEVEL=(1,1),CLASS=H,REGION=4M
//*
//*PROCS   JCLLIB ORDER=(SYS1.EDC.SEDCPROC)
//********************************************************************
//*                                                                  *
//* LICENSED MATERIALS - PROPERTY OF IBM                             *
//*                                                                  *
//* 5645-001                                                         *
//* (C) COPYRIGHT IBM CORP. 1988, 1997 ALL RIGHTS RESERVED           *
//*                                                                  *
//* US GOVERNMENT USERS RESTRICTED RIGHTS - USE,                     *
//* DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP                  *
//* SCHEDULE CONTRACT WITH IBM CORP                                  *
//*                                                                  *
//********************************************************************
//*                                                                  *
//*  COMPILE A C PROGRAM                                             *
//*                                                                  *
//*  OS/390 C/C++                                                    *
//*                                                                  *
//*  RELEASE LEVEL: 01.03.00  (VERSION.RELEASE.MODIFICATION LEVEL)   *
//*                                                                  *
//********************************************************************
//*
//EDCC  PROC  INFILE=,                   < INPUT ... REQUIRED
//  CREGSIZ='64M',                        < COMPILER REGION SIZE
//  CRUN=,                               < COMPILER RUNTIME OPTIONS
//  CPARM=,                              < COMPILER OPTIONS
//  CPARM2=,                             < COMPILER OPTIONS
//  CPARM3=,                             < COMPILER OPTIONS
//  SYSLBLK='3200',                      < BLOCKSIZE FOR &&LOADSET
//  LIBPRFX='SYS1.CEE',                      < PREFIX FOR LIBRARY DSN
//  LNGPRFX='SYS1.CCPLUS',               < PREFIX FOR LANGUAGE DSN
//  CLANG='EDCMSGE', < NOT USED IN THIS RELEASE. KEPT FOR COMPATIBILIT
//  DCB80='(RECFM=FB,LRECL=80,BLKSIZE=3200)',      <DCB FOR LRECL 80
//  DCB3200='(RECFM=FB,LRECL=3200,BLKSIZE=12800)', <DCB FOR LRECL 3200
//  OUTFILE='&&LOADSET,DISP=(MOD,PASS),UNIT=VIO,SPACE=(TRK,(7,7))'
//*
//*-------------------------------------------------------------------
//*  COMPILE STEP:
//*-------------------------------------------------------------------
//COMPILE EXEC PGM=CBCDRVR,REGION=&CREGSIZ,
//    PARM=('&CRUN/&CPARM &CPARM2 &CPARM3')
//STEPLIB  DD  DSNAME=&LIBPRFX..SCEERUN,DISP=SHR
//         DD  DSNAME=&LNGPRFX..SCBCCMP,DISP=SHR
//SYSMSGS  DD  DUMMY,DSN=&LNGPRFX..SCBC3MSG(&CLANG),DISP=SHR
//SYSIN    DD  DSNAME=&INFILE,DISP=SHR
//SYSLIB   DD  DSNAME=&LIBPRFX..SCEEH.H,DISP=SHR
//         DD  DSNAME=&LIBPRFX..SCEEH.SYS.H,DISP=SHR
//SYSLIN   DD  DSNAME=&OUTFILE,DCB=(RECFM=FB,LRECL=80,BLKSIZE=&SYSLBLK)
//SYSPRINT DD  SYSOUT=*
//SYSOUT   DD  SYSOUT=*
//SYSCPRT  DD  SYSOUT=*
//SYSUT1   DD  UNIT=VIO,SPACE=(32000,(30,30)),DCB=&DCB80
//SYSUT4   DD  UNIT=VIO,SPACE=(32000,(30,30)),DCB=&DCB80
//SYSUT5   DD  UNIT=VIO,SPACE=(32000,(30,30)),DCB=&DCB3200
//SYSUT6   DD  UNIT=VIO,SPACE=(32000,(30,30)),DCB=&DCB3200
//SYSUT7   DD  UNIT=VIO,SPACE=(32000,(30,30)),DCB=&DCB3200
//SYSUT8   DD  UNIT=VIO,SPACE=(32000,(30,30)),DCB=&DCB3200
//SYSUT9   DD  UNIT=VIO,SPACE=(32000,(30,30)),
//             DCB=(RECFM=VB,LRECL=137,BLKSIZE=882)
//SYSUT10  DD  SYSOUT=*
//SYSUT14  DD  UNIT=VIO,SPACE=(32000,(30,30)),
//             DCB=(RECFM=FB,LRECL=3200,BLKSIZE=12800)
//         PEND
//*
//********************************************************************
//*                                                                  *
//* LICENSED MATERIALS - PROPERTY OF IBM                             *
//*                                                                  *
//* 5688-188 (C) COPYRIGHT IBM CORP. 1993                            *
//* ALL RIGHTS RESERVED                                              *
//*                                                                  *
//* US GOVERNMENT USERS RESTRICTED RIGHTS - USE,                     *
//* DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP                  *
//* SCHEDULE CONTRACT WITH IBM CORP                                  *
//*                                                                  *
//* SEE COPYRIGHT INSTRUCTIONS                                       *
//*                                                                  *
//********************************************************************
//*                                                                  *
//* IBM C/370 VERSION 2 RELEASE 2                                    *
//*                                                                  *
//* EDCPL   --- THIS CATALOGUED PROCEDURE PRE-LINKS                  *
//*  (REQUIRED FOR REENTRANCY), AND LINK-EDITS A C PROGRAM           *
//*                                                                  *
//*                                                                  *
//*  PARAMETER  DEFAULT VALUE    USAGE                               *
//*   INFILE    NONE             INPUT DATA SET                      *
//*   OUTFILE   &&GSET(GO)       OUTPUT LINK EDIT DATA SET           *
//*   SYSLBLK   3200             BLOCKSIZE FOR &&PLKSET              *
//*   PREGSIZ   2048K            PRE-LINKER REGION SIZE              *
//*   PPARM     NONE             PRE-LINKER OPTIONS                  *
//*   PLIB      DUMMY            PRELINK AUTOCALL LIBRARY            *
//*   LREGSIZ   1024K            LINK EDIT REGION SIZE               *
//*   LPARM     AMODE=31,MAP     LINK EDIT OPTIONS                   *
//*   LIBPRFX   EDC.V2R2M0       PREFIX FOR LIBRARY DATA SET NAMES   *
//*   COMPRFX   PLI.V2R3M0       PREFIX FOR COMMON LIBRARY           *
//*                                                                  *
//********************************************************************
//*
//EDCPL  PROC INFILE=,
// OUTFILE='&&GSET(GO),DISP=(MOD,PASS),UNIT=VIO,SPACE=(512,(50,20,1))',
//   SYSLBLK='3200',
//   PREGSIZ='2048K',
//   PPARM=,
//   PLIB='DUMMY',
//   LREGSIZ='1024K',
//   LPARM='AMODE=31,MAP',
//   LIBPRFX='SYS1.CEE'
//*   COMPRFX='SYS1'
//*
//*-------------------------------------------------------------
//* PRE-LINKEDIT STEP:
//*-------------------------------------------------------------
//PLKED   EXEC PGM=EDCPRLK,PARM='&PPARM',
//    REGION=&PREGSIZ
//*STEPLIB  DD  DSNAME=&LIBPRFX..SEDCLINK,DISP=SHR
//*        DD  DSNAME=&COMPRFX..SIBMLINK,DISP=SHR
//*SYSMSGS  DD  DSNAME=&LIBPRFX..SEDCMSGP(EDCPMSGE),DISP=SHR
//SYSMSGS  DD  DSNAME=&LIBPRFX..SCEEMSGP(EDCPMSGE),DISP=SHR
//SYSLIB   DD  &PLIB
//SYSIN    DD  DSN=&INFILE,DISP=SHR
//SYSMOD   DD  DSNAME=&&PLKSET,UNIT=VIO,DISP=(MOD,PASS),
//             SPACE=(32000,(30,30)),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=&SYSLBLK)
//SYSOUT   DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//*
//*-------------------------------------------------------------------
//* LINKEDIT STEP:
//*-------------------------------------------------------------------
//LKED   EXEC PGM=IEWBLINK,COND=(4,LT,PLKED),
//    REGION=&LREGSIZ,PARM='&LPARM'
//SYSLIB   DD  DSNAME=&LIBPRFX..SEDCBASE,DISP=SHR
//*        DD  DSNAME=&COMPRFX..SIBMBASE,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSLIN   DD  DSNAME=*.PLKED.SYSMOD,DISP=SHR
//         DD  DDNAME=SYSIN
//SYSLMOD  DD  DSNAME=&OUTFILE
//SYSUT1   DD  UNIT=VIO,SPACE=(32000,(30,30))
//         PEND
//*
//CCOMPR   EXEC PROC=EDCC,       /* C/MVS   */
//*        CPARM='SOURCE,SHOW,LIST,LONGNAME,SS'
//         CPARM='SOURCE,LONGNAME,SS'
//*
//COMPILE.SYSLIB  DD
//                DD
//                DD DSN=SYS1.MQM.SCSQC370,DISP=SHR
//                DD DSN=SYS1.CEE.SCEESAMP,DISP=SHR
//*
//COMPILE.SYSIN   DD DSN=U1403.JHP.C(BLOCKIP9),
//         DISP=SHR
//*
//CLINKR   EXEC PROC=EDCPL,COND=(4,LT),
//         PLIB='DSN=SYS1.CEE.SCEECPP,DISP=SHR',
//         LPARM='AMODE=31,MAP,REUS(RENT)',
//         INFILE=&&LOADSET
//LKED.SYSLMOD  DD DSN=U1403.MQM.EXIT.LOAD2,DISP=SHR
//*LKED.SYSLMOD  DD DSN=U1403.JHP.LOAD,DISP=SHR
//*LKED.SYSLIB   DD DSN=U1403.SYS1.CEE.SCEESPC,DISP=SHR
//LKED.SYSLIB   DD DSN=SYS1.CEE.SCEESPC,DISP=SHR
//              DD DSN=SYS1.CEE.SCEERUN,DISP=SHR
//              DD DSN=SYS1.CEE.SCEELKEX,DISP=SHR
//              DD DSN=SYS1.CEE.SCEELKED,DISP=SHR
//              DD DSN=SYS1.MQM.SCSQLOAD,DISP=SHR
//              DD DSN=SYS1.EDC.SEDCBASE,DISP=SHR
//              DD DSN=SYS1.PLI.SIBMBASE,DISP=SHR
//              DD DISP=SHR,DSN=SYS1.CSSLIB
//LKED.WTO      DD DSN=U1403.JHP.OBJ,DISP=SHR
//LKED.SYSIN    DD *
      INCLUDE SYSLIB(EDCXMEM)
      INCLUDE SYSLIB(CSQXSTUB)
      INCLUDE WTO(BLOCKIPW)
      INCLUDE WTO(BLOCKIPS)
      ENTRY BLOCKIP2
      NAME BLOCKIP2(R)
//*
//*
